#
# spec file for package gnome-cups-manager (Version 0.32cvs20060120)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-cups-manager
BuildRequires:  cups cups-devel gcc-c++ gnome-common gnutls-devel intltool krb5-devel libglade2-devel libgnomecups-devel libgnomeprintui-devel libgnomeui-devel libsmbclient libsmbclient-devel libwnck-devel mDNSResponder-devel perl-XML-Parser update-desktop-files openssl-devel
Version:        0.32cvs20060120
Release:        33.35.64
Url:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL v2 or later
Summary:        GNOME CUPS Printer Manager
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        gnome-cups-manager-novell-branded-test-pages.tar.gz
Source2:        gnome-cups-manager.desktop
Source3:        gnome-cups-manager-po.tar.bz2
Patch0:         suse-smbclient-needs-kerberos.patch
Patch1:         popt-fix.patch
Patch2:         only-once.patch
Patch3:         smb-uri-parser-fix.patch
Patch4:         autodetect-usb-printers.patch
Patch5:         bnc-6238.patch
Patch6:         gnome-cups-manager-suse-lp-group.patch
Patch7:         gnome-cups-manager-154299.patch
Patch8:         g-c-m-linguas.patch
Patch9:         gnome-cups-manager-0.32-display-remote-uris.patch
Patch10:        gnome-cups-manager-162596-tab-arrow-enter-support.patch
AutoReqProv:    on
Requires:       gnome-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
CUPS printer manager for GNOME.



%package devel
License:        GPL v2 or later
Group:          System/GUI/GNOME
Summary:        GNOME CUPS Printer Manager
Requires:       %{name} = %{version} libgnomecups-devel glib2-devel gtk2-devel libgnomeui-devel libgnome-devel libglade2-devel libbonobo-devel gnome-keyring-devel

%description devel
CUPS printer manager for GNOME.



%prep
%setup -a 1 -a 3
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5
%patch6
%patch7 -p1
%patch8
%patch9 -p1
%patch10 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
sed '/GNOME_COMPILE_WARNINGS/d' configure.in > configure.in.tmp && mv configure.in.tmp configure.in
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
autoreconf -f -i
intltoolize --force --copy
./configure\
	--prefix=/opt/gnome\
	--sysconfdir=/etc/opt/gnome\
	--libdir=/opt/gnome/%{_lib}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/applications
cp %SOURCE2 $RPM_BUILD_ROOT/opt/gnome/share/applications/
ln -s ../icons/hicolor/48x48/stock/io/stock_printers.png $RPM_BUILD_ROOT/opt/gnome/share/pixmaps/
%suse_update_desktop_file gnome-cups-manager X-SuSE-PrintingUtility X-SuSE-ControlCenter-Hardware
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/%{_lib}/*.so.*
/opt/gnome/%{_lib}/bonobo/servers/*
/opt/gnome/bin/*
/opt/gnome/sbin/*
/opt/gnome/share/gnome-cups-manager
/opt/gnome/share/pixmaps/*
/opt/gnome/share/icons/hicolor/48x48/devices/*
/opt/gnome/share/icons/hicolor/48x48/stock/*
/opt/gnome/share/applications/*

%files devel
%defattr (-, root, root)
/opt/gnome/%{_lib}/*.*a
/opt/gnome/%{_lib}/*.so
/opt/gnome/%{_lib}/pkgconfig/*.pc
/opt/gnome/include/libgnomecups-1/libgnomecups/*

%changelog
* Fri Feb  6 2009 dliang@suse.de
- enable keyboard navigation in Printers applet window (bnc #162596)
* Fri Apr 18 2008 mauro@suse.de 
- Updated translations.
* Tue Apr  8 2008 mauro@suse.de 
- Updated translations (fixing pt_BR issues in the process).
* Fri Mar 28 2008 mauro@suse.de
- Updated translations.
* Thu Mar 20 2008 jberkman@novell.com
- don't crash when showing properties of remote printers (bnc #365126)
* Fri Mar 14 2008 mauro@suse.de 
- Updated translations.
* Thu Feb 21 2008 mauro@suse.de
- Updated translations.
* Wed Mar  7 2007 crivera@suse.de
- Change the font used in the printer test pages.
  This fixes 245399.
* Sat Mar  3 2007 jhargadon@suse.de
- updated Polish translations (#246824)
* Tue Jun  6 2006 lewing@suse.de
- Listen to property changes in the printer properties page.
  (bnc #154299)
* Tue May 23 2006 joeshaw@suse.de
- Add a patch to allow users who are in the lp group to administer
  printers.  (bnc #162615)
* Fri May 12 2006 fejj@suse.de
- Added bnc-6238.patch to the build to allow users to install gzipped
  prinetr driver files.
* Thu Apr 13 2006 sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of illegal old ones.
* Mon Apr 10 2006 gekker@suse.de
- Remove cups-backends from Requires:, no longer needed
* Thu Apr  6 2006 fejj@suse.de
- Added autodetect-usb-printers.patch - needed to work around the
  fact that CUPS is broken and doesn't detect newly plugged-in usb
  printers without a restart of the daemon. This patch is needed so
  that available usb printers appear in the gnome-cups-add printer
  list (since we are dropping hal because yast2's printer wizard
  breaks if the user configures some printers via yast2 and some
  via GNOME).
* Mon Apr  3 2006 joeshaw@suse.de
- Fix "quarter" typo in the US letter test page.  (bnc #9535)
* Thu Mar 30 2006 fejj@suse.de
- Fixed a crash in smb-uri-parser-fix.patch (bug #161045)
* Mon Mar 27 2006 danw@suse.de
- Fix a sometimes crash in only-once.patch
* Wed Mar  1 2006 fejj@suse.de
- Added smb-uri-parser-fix.patch to finish fixing bug #146845
* Thu Feb 23 2006 fejj@suse.de
- Added only-once.patch to address bug #146845
* Wed Feb  1 2006 fejj@suse.de
- Added popt-fix.patch to fix a crash parsing args
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 fejj@suse.de
- Removed the uninited.patch since ti is no longer required
* Mon Jan 23 2006 fejj@suse.de
- Fixed spec file to require cups-backends
* Fri Jan 20 2006 fejj@suse.de
- Updated to 0.32cvs20060120
* Sun Dec  4 2005 lmuelle@suse.de
- Revert libsmbclient renameing.
* Mon Nov 14 2005 lmuelle@suse.de
- Use samba-libs instead of libsmbclient.
* Tue Sep 20 2005 sbrabec@suse.cz
- Fixed devel dependencies.
* Tue Sep  6 2005 gekker@suse.de
- Update to version 0.31 (GNOME 2.12)
- Fix use of uninitialized variable
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed desktop Name (#86632).
- Fixed devel requirements.
* Mon May 23 2005 sbrabec@suse.cz
- Use stock_printers as icon.
* Fri May 20 2005 sbrabec@suse.cz
- Removed kdesu patch, use gnomesu.
- Added X-Ximian-Settings to desktop file.
* Wed Mar 16 2005 clahey@suse.de
- Add desktop file for gnome-cups-manager.
* Tue Mar  8 2005 jody@suse.de
- upstream release of 0.30
- Fix crash during renaming
- fix crash when restarting cupsd
- improve ipp make/model recognition
* Tue Dec 14 2004 jody@suse.de
- upstream release of 0.28
- rerun intltoolize
- remove the GNOME_WARNINGS that were causing trouble
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Mon Oct  4 2004 jody@suse.de
- upstream release of 0.27 & 0.26
- No crash on cupsd restart #65946
- Missing emblem for pause and default #63019
- more admin handling #64409, #65660
- become admin button for the printer list #66607
- Cleanup driver and model names #57793
- Avoid race to load connection info #64538
- More translations
* Mon Sep 13 2004 jody@suse.de
- upstream release of 0.25
- launch prop dialog after creation
- improve layout of connection and driver selection
- only admin can pause/resume
- Improve icon selection
- Only provide status as an option when it makes sense
- Handle translated ppds in some instances
* Tue Aug 24 2004 jody@suse.de
- upstream release of 0.24
- Finish the connector editor widget
- Improvements to kdesu wrapper
- fix spec file to enable smb browsing
* Wed Aug 18 2004 jody@suse.de
- upstream release of 0.23
- Patches for 61677, 62247, 62251, 62815, 62814, 61680
- Patches for upstream 149226, 149545, 149546
- There are known issues with smb browsing authenticating too often
* Sat Jul 31 2004 jody@suse.de
- new release 0.22 with menu patches and improves ipp ids
* Tue Jul 27 2004 jody@suse.de
- Jump to 0.20 to get the smb patches
* Mon Jul 26 2004 ro@suse.de
- added missing directory to filelist
* Fri Jul 16 2004 jody@suse.de
- Testing release of 0.19 to get the browser and layout enhancements
* Tue May 18 2004 sbrabec@suse.cz
- New SuSE package, version 0.17.
